/*****************************
 STEP17_Timer0Interrupt.c
*****************************/

// CN[ht@C̓ǂݍ
#include <pic.h>

// RtBM[V[h̐ݒ
#pragma config CPD=OFF , LVP=OFF , BOREN=ON , MCLRE=ON , PWRTE=ON , WDTE=OFF , FOSC=INTOSCIO

// vg^Cv錾
void InitInterTimer0 (void);
void WaitTime (int cnt);

// C֐
void main (void)
{
	// 1,2,17,18[qo͒[qɐݒ
	CMCON = 0x07;
	
	// dx̏ݒ
	PORTA = 0xFF;
	PORTB = 0xFF;
	
	// o͐ݒ
	TRISA = 0x20;
	TRISB = 0x00;
	
	// ^C}0ݐݒ֐̌Ăяo
	InitInterTimer0();
	
	// ݑŜ̋
	GIE = 1;
	
	// iv[v
	while(1)
	{
		// LED1Ԕ]
		RB1 = ~RB1;
		
		// ҂Ԋ֐̌Ăяo
		WaitTime(30000);
	}
}

// ݃T[rX[`
static void __interrupt() isr()
{
	// Xs[Jɓ͂dx𔽓]
	RB0 = ~RB0;
	
	// ^C}0݃tONA
	T0IF = 0;
}

// ^C}0ݐݒ֐
void InitInterTimer0 (void)
{
	// NbNNbNɐݒ
	T0CS = 0;
	
	// vXP[^C}0Ɋ蓖
	PSA = 0;
	
	// vXP[l2ɐݒ
	PS2 = 0;
	PS1 = 0;
	PS0 = 0;
	
	// TMR0WX^NA
	TMR0 = 0x00;
	
	// ^C}0݃tONA
	T0IF = 0;
	
	// ^C}0݂̋
	T0IE = 1;
}

// ҂Ԋ֐̌Ăяo
void WaitTime (int cnt)
{
	while(cnt > 0)
		cnt--;
}